@import "scss/var.scss";

.list-article {
    .art_item {
        margin-bottom: 24px;
        position: relative;
        .ava {
            margin-bottom: 24px;
        }
        .content {
            .tag {
                font-size: 14px;
                margin-bottom: 16px;

                .folder {
                    font-weight: 600;
                    margin-right: 16px;
                }
            }

            .title_news {
                font-size: 24px;
                margin-bottom: 16px;
            }

            .description {
                color: var(--gray600);
                font-size: 18px;
            }
        }
        @media (max-width: 991px) {
            padding: 0 16px;

            &.art_item_top {
                .ava {
                    margin-bottom: 16px;
                }
            }

            .ava {
                margin-bottom: 16px;
            }

            .content {
                .tag {
                    margin-bottom: 8px;
                }

                .title_news {
                    font-size: 20px !important;
                    margin-bottom: 8px;
                }

                .description {
                    font-size: 16px
                }
            }
        }
    }
    .art_item_top{
        transition: 0.5s ease;
        padding: 16px;
        width: 100%;
        @media(min-width: 992px) {
            &:hover {
                box-shadow: 0px 4px 24px rgba(0, 0, 0, 0.25);
            }
        }
    }
    .gird {
        display: flex;
        flex-wrap: wrap;
        &.gird_2 {
            margin: 0 -16px;

            .art_item {
                width: 50%;
                padding: 16px;
                margin-bottom: 8px;
                transition: 0.5s ease;
                @media(min-width: 992px) {
                    &:hover {
                        box-shadow: 0px 4px 24px rgba(0, 0, 0, 0.25);
                    }
                }
            }
        }
    }

    .art_item_top {
        .content {
            .title_news {
                font-size: 32px;
            }
        }
    }

    @media (max-width: 767px) {
        .gird_2 {
            margin-bottom: 16px;
            .art_item {
                width: 100%;
                margin-bottom: 0;
                padding-bottom: 22px;
                border-bottom: 1px solid var(--gray100);
                &:last-child {
                    border-bottom: 0;
                }
            }
        }

        .art_item.art_item_top {
            border-bottom: 0;
            margin-bottom: 16px;
            padding: 0 16px 6px;
            &::before {
                content: "";
                background: var(--gray100);
                height: 1px;
                left: -16px;
                right: -16px;
                position: absolute;
                bottom: -16px;
            }
        }
    }

    &__v2 {
        display: flex;
        flex-wrap: wrap;

        .art_item {
            margin-bottom: 24px;
            float: left;
            width: 100%;
            padding: 0;

            .ava {
                width: 288px;
                float: left;
                margin-right: 25px;
                margin-bottom: 0;
            }

            .content {
                overflow: hidden;
                padding-top: 10px;

                .tag {
                    margin-bottom: 8px;
                }

                .title_news {
                    font-size: 18px;
                    font-weight: 500;
                }
            }

            &:last-child {
                margin-bottom: 0;
            }

        }

        @media (max-width: 991px) {
            .art_item {
                .ava {
                    width: 200px;
                    margin-right: 15px;
                }
            }
        }

        @media (max-width: 576px) {
            .art_item {
                .ava {
                    width: 100%;
                    margin-right: 0;
                    float: none;
                }

                .content {
                    overflow: visible;
                }
            }
        }
    }
}

.faq-page {
    &__head {
        width: 100%;
        display: flex;
        justify-content: space-between;
        border-bottom: 1px solid #E3E7EF;
        padding-bottom: 24px;

        .title_cate {
            width: 210px;
            margin-bottom: 10px;
        }

        .form-default {
            width: calc(100% - 250px);
            display: flex;

            input {
                border: 1px solid #D2D7E1;
                border-radius: 48px;
                font-size: 16px;
                width: 100%;

            }

            .box-search-suggest {
                width: 800px;
                width: calc(100% - 160px);

                .suggest-search {
                    position: absolute;
                    background: #fff;
                    width: 100%;
                    z-index: 10;
                    top: 50px;
                    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.25);
                    border-radius: 6px;
                }
            }

            .btn-default {
                padding: 0 10px;
                width: 160px;
                height: 40px;
                line-height: 40px;
                margin-left: 17px;

                svg {
                    margin-right: 5px;
                    vertical-align: text-bottom;
                }
            }
        }
    }

    &__left {
        width: 230px;
        padding-top: 16px;

        .sticky {
            top: 80px
        }

        .catalogue {
            border-bottom: 1px solid var(--gray100);
            margin-bottom: 16px;
            padding-bottom: 16px;

            &_final {
                .cancel {
                    top: 0;
                    right: 0;
                }
            }
        }

        h2 {
            font-weight: 600;
            font-size: 16px;
            color: #000000;
            margin-bottom: 8px;

        }

        .tag {
            h3 {
                font-size: 14px;
                margin-bottom: 8px;
                font-weight: 400;

                a {
                    color: #0E0E0E;
                }
            }
        }
    }

    &__right {
        width: 994px;
        width: calc(100% - 230px);
        display: flex;
        padding-left: 58px;

        .box-comment {
            border-top: 0;
            padding-top: 16px;
            width: calc(100% - 312px);
        }

        .list-comments {
            border: 1px solid var(--gray100);
            border-bottom: 0;

            &__items {
                margin-top: 0 !important;
                padding: 24px;
            }
        }

        .sticky {
            top: 80px;
        }

        .box-faq-article {
            width: 312px;
            padding-left: 24px;
            padding-top: 16px;

            h2 {
                font-weight: 600;
                font-size: 16px;
                color: #000000;
                margin-bottom: 24px;

            }

            h3 {
                font-size: 16px;
                margin-bottom: 15px;
                font-weight: 400;

                a {
                    color: #414956;
                }
            }
        }
    }

    @media (max-width: 1025px) {
        &__right {
            .box-comment {
                width: 100%;
            }

            .box-faq-article {
                display: none
            }
        }
    }

    @media (max-width: 991px) {
        &__head {
            flex-wrap: wrap;
            margin-top: 10px;

            .title_cate {
                width: 100%;
                margin-bottom: 16px;
                padding-right: 100px;
            }

            .form-default {
                width: 100%;

                .box-search-suggest {
                    width: 100%;
                }

                .btn-default {
                    position: absolute;
                    top: -5px;
                    right: 0;
                    font-size: 14px;
                    width: 140px;
                }
            }
        }

        &__left {
            width: 100%;

            .sticky {
                display: flex;
                flex-wrap: wrap;
            }

            h2 {
                display: none
            }

            .catalogue {
                order: 3;
                width: 100%;
                border-bottom: 0;
                margin-bottom: 0;
                padding-bottom: 0;

                &_final {
                    .cancel {
                        top: 0;
                        right: 0;
                    }
                }
            }

            .tag {
                order: 1;
                margin-bottom: 16px;
                overflow-x: scroll;
                overflow-y: hidden;
                -webkit-overflow-scrolling: touch;
                white-space: nowrap;
                -webkit-backface-visibility: hidden;
                backface-visibility: hidden;

                h3 {
                    display: inline-block;
                    margin-bottom: 0;
                    margin-right: 2px;

                    a {
                        background: #F3F5F8;
                        border-radius: 4px;
                        display: block;
                        padding: 8px 10px;
                    }
                }
            }
        }

        &__right {
            width: 100%;
            padding-left: 0;

            .list-comments {
                border-bottom: 1px solid var(--gray100);
                border-top: 0;

                &__items {
                    padding: 16px !important;
                    border-top: 1px solid var(--gray100);
                    border-bottom: 0 !important;
                }
            }
        }
    }

    @media (max-width: 480px) {
        &__left {
            .tag {
                margin-right: -15px;
            }
        }

        &__right {
            .list-comments {
                border: 0;

                &__items {
                    margin-left: -15px;
                    margin-right: -15px;
                }
            }
        }
    }
}